<?php
// +----------------------------------------------------------------------
// | yershop网店管理系统
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://www.yershop.com All rights reserved.
// +----------------------------------------------------------------------
// | 版权申明：yershop网店管理系统不是一个自由软件，是贝云网络官方推出的商业源码，严禁在未经许可的情况下
// | 拷贝、复制、传播、使用yershop网店管理系统的任意代码，如有违反，请立即删除，否则您将面临承担相应
// | 法律责任的风险。如果需要取得官方授权，请联系官方http://www.yershop.com
// +----------------------------------------------------------------------
namespace app\seller\controller;
use think\Controller;
use think\Db;
class Home  extends Controller
{
	
	 protected function initialize(){
        /* 读取站点配置 */
      
        if(!api('WEB_SITE_CLOSE')){
           $this->error('站点已经关闭，请稍后访问~');
        }
	   
		$this->assign('INSTALL_PATH', INSTALL_PATH);
		 // 检测访问权限
        $shop_id=get_shop_id();
		if(input("post.shop_id")&&input("post.shop_id")!==$shop_id){
		    $this->error('店铺id错误~');
		}
		$map[]=["id",'=',get_shop_id()];
		$shop=db("shop")->where($map)->find();
		$this->assign ( 'shop',$shop);
        $controller=request()->controller();
		$action=request()->action();
		$action=strtolower($controller."/".$action);
	
		$this->assign ( 'action',$action);
    }

 
}